NAME

OpenAPI::Client::OpenAI::Path::organization-users-user_id - Documentation for the /organization/users/{user_id} path.

OPERATIONS

DELETE /organization/users/{user_id}

delete-user

$client->delete_user({
    body => { ... },
});

Deletes a user from the organization.

Path/query parameters

  • user_id (in path, required, string) - The ID of the user.

Responses

200 - User deleted successfully.

Content-Type: application/json

Example:

{
   "deleted" : false,
   "id" : "string",
   "object" : "organization.user.deleted"
}

GET /organization/users/{user_id}

retrieve-user

$client->retrieve_user({
    body => { ... },
});

Retrieves a user by their identifier.

Path/query parameters

  • user_id (in path, required, string) - The ID of the user.

Responses

200 - User retrieved successfully.

Content-Type: application/json

Example:

{
   "added_at" : 1711471533,
   "email" : "user@example.com",
   "id" : "user_abc",
   "name" : "First Last",
   "object" : "organization.user",
   "role" : "owner"
}

POST /organization/users/{user_id}

modify-user

$client->modify_user({
    body => { ... },
});

Modifies a user's role in the organization.

Path/query parameters

  • user_id (in path, required, string) - The ID of the user.

Responses

200 - User role updated successfully.

Content-Type: application/json

Example:

{
   "added_at" : 1711471533,
   "email" : "user@example.com",
   "id" : "user_abc",
   "name" : "First Last",
   "object" : "organization.user",
   "role" : "owner"
}

SCHEMAS

User

Properties:

  • added_at (integer, required) - The Unix timestamp (in seconds) of when the user was added.

  • api_key_last_used_at (anyOf) - The Unix timestamp (in seconds) of the user's last API key usage.

  • created (integer) - The Unix timestamp (in seconds) of when the user was created.

  • developer_persona (anyOf) - The developer persona metadata for the user.

  • email (anyOf) - The email address of the user

  • id (string, required) - The identifier, which can be referenced in API endpoints

  • is_default (boolean) - Whether this is the organization's default user.

  • is_scale_tier_authorized_purchaser (anyOf) - Whether the user is an authorized purchaser for Scale Tier.

  • is_scim_managed (boolean) - Whether the user is managed through SCIM.

  • is_service_account (boolean) - Whether the user is a service account.

  • name (anyOf) - The name of the user

  • object (string, required) - The object type, which is always organization.user

    Allowed values: organization.user

  • projects (anyOf) - Projects associated with the user, if included.

  • role (anyOf) - owner or reader

  • technical_level (anyOf) - The technical level metadata for the user.

  • user (object) - Nested user details.

UserDeleteResponse

Properties:

  • deleted (boolean, required)

  • id (string, required)

  • object (string, required)

    Allowed values: organization.user.deleted

UserRoleUpdateRequest

Properties:

  • developer_persona (anyOf) - Developer persona metadata.

  • role (anyOf) - owner or reader

  • role_id (anyOf) - Role ID to assign to the user.

  • technical_level (anyOf) - Technical level metadata.

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.